local name, private = ...

local dict = private.objects.dict

private.achievements = dict()

function private.achievements:process()
    -- Process achievement data
    -- Can not process while loading; the item data is not cached at that point.
    
    local a = private.achievements
    
    a["skill journeyman"] = private.objects.data.achievement.skill()
    a["skill journeyman"]:init(4857, 150)
    a["skill expert"] = private.objects.data.achievement.skill()
    a["skill expert"]:init(4919, 225)
    a["skill artisan"] = private.objects.data.achievement.skill()
    a["skill artisan"]:init(4920, 300)
    a["skill master"] = private.objects.data.achievement.skill()
    a["skill master"]:init(4921, 375)
    a["skill grand master"] = private.objects.data.achievement.skill()
    a["skill grand master"]:init(4922, 450)
    a["skill illustrious"] = private.objects.data.achievement.skill()
    a["skill illustrious"]:init(4923, 525)
    
    a["rare 1"] = private.objects.data.achievement.rareCount()
    a["rare 1"]:init(4854, 1) -- I Had It in My Hand
    a["rare 10"] = private.objects.data.achievement.rareCount()
    a["rare 10"]:init(4855, 10) -- What was Briefly Yours is Now Mine
    a["rare 20"] = private.objects.data.achievement.rareCount()
    a["rare 20"]:init(4856, 20) -- It Belongs in a Museum
    
    a["common 10"] = private.objects.data.achievement.commonCount()
    a["common 10"]:init(5315, 10) -- Digger
    a["common 50"] = private.objects.data.achievement.commonCount()
    a["common 50"]:init(5469, 50) -- Diggerer
    a["common 100"] = private.objects.data.achievement.commonCount()
    a["common 100"]:init(5470, 100) -- Diggerest
    
    a["race count"] = private.objects.data.achievement.raceCount()
    a["race count"]:init(5511, 9)
    
    -- Seven Scepters
    a["seven scepters"] = private.objects.data.achievement.artifactList()
    a["seven scepters"]:init(4858)
    a["seven scepters"]:addArtifact(1, 64367) -- Scepter of Charlga Razorflank
    a["seven scepters"]:addArtifact(8, 64348) -- Atal'ai Scepter
    a["seven scepters"]:addArtifact(4, 64382) -- Scepter of Xavius
    a["seven scepters"]:addArtifact(6, 64420) -- Scepter of Nekros Skullcrusher
    a["seven scepters"]:addArtifact(2, 64444) -- Scepter of the Nathrezim
    a["seven scepters"]:addArtifact(5, 64475) -- Scepter of Nezar'Azret
    a["seven scepters"]:addArtifact(1, 64487) -- Scepter of Bronzebeard
    
    -- Kings Under the Mountain
    a["kings under the mountain"] = private.objects.data.achievement.artifactList()
    a["kings under the mountain"]:init(4859)
    a["kings under the mountain"]:addArtifact(1, 64368) -- Mithril Chain of Angerforge
    a["kings under the mountain"]:addArtifact(1, 63414) -- Moltenfist's Jeweled Goblet
    a["kings under the mountain"]:addArtifact(1, 64343) -- Winged Helm of Corehammer
    a["kings under the mountain"]:addArtifact(1, 64344) -- Ironstar's Petrified Shield
    a["kings under the mountain"]:addArtifact(1, 64371) -- Skull Staff of Shadowforge
    a["kings under the mountain"]:addArtifact(1, 64485) -- Spiked Gauntlets of Anvilrage
    a["kings under the mountain"]:addArtifact(1, 64484) -- Warmaul of Burningeye
    
    -- Tragedy in Three Acts
    a["tragedy in three acts"] = private.objects.data.achievement.artifactList()
    a["tragedy in three acts"]:init(5191)
    a["tragedy in three acts"]:addArtifact(4, 64357) -- Delicate Music Box
    a["tragedy in three acts"]:addArtifact(4, 63407) -- Cloak Clasp with Antlers
    a["tragedy in three acts"]:addArtifact(4, 64356) -- Hairpin of Silver and Malachite
    a["tragedy in three acts"]:addArtifact(4, 64379) -- Chest of Tiny Glass Animals
    a["tragedy in three acts"]:addArtifact(4, 64381) -- Cracked Crystal Vial
    a["tragedy in three acts"]:addArtifact(4, 64648) -- Silver Scroll Case
    
    -- The Harder They Fall
    a["the harder they fall"] = private.objects.data.achievement.artifactList()
    a["the harder they fall"]:init(5192)
    a["the harder they fall"]:addArtifact(6, 64389) -- Tiny Bronze Scorpion
    a["the harder they fall"]:addArtifact(6, 64417) -- Maul of Stone Guard Mur'og
    a["the harder they fall"]:addArtifact(6, 64418) -- Gray Candle Stub
    a["the harder they fall"]:addArtifact(6, 64419) -- Rusted Steak Knife
    
    -- Blue Streak
    a["blue streak"] = private.objects.data.achievement.artifactList()
    a["blue streak"]:init(5193)
    a["blue streak"]:addArtifact(1, 64337) -- Notched Sword of Tunadil the Redeemer
    a["blue streak"]:addArtifact(1, 64362) -- Dented Shield of Horuz Killcrow
    a["blue streak"]:addArtifact(1, 64366) -- Scorched Staff of Shadow Priest Anund
    a["blue streak"]:addArtifact(1, 64483) -- Silver Kris of Korl
    
    -- The Boy Who Would be King
    a["the boy who would be king"] = private.objects.data.achievement.artifactList()
    a["the boy who would be king"]:init(5301)
    a["the boy who would be king"]:addArtifact(7, 64653) -- Cat Statue with Emerald Eyes
    a["the boy who would be king"]:addArtifact(7, 64654) -- Soapstone Scarab Necklace
    a["the boy who would be king"]:addArtifact(7, 64655) -- Tiny Oasis Mosaic
    a["the boy who would be king"]:addArtifact(7, 64656) -- Engraved Scimitar Hilt
    a["the boy who would be king"]:addArtifact(7, 64658) -- Sketch of a Desert Palace
    a["the boy who would be king"]:addArtifact(7, 64657) -- Canopic Jar
end